


GVU(1)                                                     GVU(1)


NAME
       gvu - View PostScript documents using ghostscript

SYNOPSIS
       gvu [filename]
       or
       gvu   [-monochrome]   [-grayscale]  [-color]  [-[no]title]  [-[no]date]
       [-[no]locator] [-[no]labels] [-resolution dpi]  [-dpi dpi]  [-xdpi dpi]
       [-ydpi dpi]  [-magstep n]  [-[no]safer]  [-[no]quiet] [-arguments argu-
       ments] [-[no]center] [-portrait] [-landscape] [-upsidedown] [-seascape]
       [-[no]swap]   [-letter]   [-tabloid]  [-ledger]  [-legal]  [-statement]
       [-executive] [-a3] [-a4] [-a5] [-b4] [-b5] [-folio] [-quarto]  [-10x14]
       [-force]     [-forceorientation]    [-forcemedia]    [-[no]openwindows]
       [-[no]ncdwm] [-page label] [-toolkitoption ...]  [filename]

DESCRIPTION
       The gvu program provides an X11  user  interface  for  the  ghostscript
       interpreter.  gvu and ghostscript function as two cooperating programs.
       gvu creates the viewing window and ghostscript draws in it.

       Don't be alarmed by the number of options.  Generally, one invokes  gvu
       with  just one parameter, the name of the file to be previewed.  If the
       filename is ``-'', gvu will read from ``stdin''.  The options provide a
       way to set X resources from the command line for a single invocation of
       gvu.  For that reason, discussion of the options is delayed until after
       the X resources are discussed.

MAIN WINDOW
       The main viewport is on the right side of the main window.  If the page
       is larger than the viewport, there will be scroll bars along the bottom
       and  right  edges  of the viewport.  To the left of the viewport is the
       table of contents.  If the PostScript  file  has  document  structuring
       convention  (DSC)  comments, the table of context will display the page
       labels (i.e. usually page numbers).  To the left of the table  of  con-
       tents  is the menu box.  Each push button brings up a popup menu.  Over
       the menu box and table of contents there are three optional labels that
       contain  the  title,  date,  and locator.  The title label contains the
       document title found in the DSC comments.  If no title  can  be  found,
       the  filename  is used in its place.  The date label contains the docu-
       ment date found in the DSC comments.  If no date can be found, the last
       modified  date  of  the file is used in its place.  Since the title and
       date labels may be clipped by the main viewport,  the  date  and  title
       labels  are push buttons that bring up a popup window with the title or
       date.  These popup windows also show the  ``document''  icon  when  the
       displayed  string  comes  from the DSC comments.  The locator shows the
       location of the cursor in the viewport.  The location is  expressed  in
       the  default user coordinate system.  The locator is useful for measur-
       ing bounding boxes.

       Within the  main  viewport  the  mouse  cursor  is  a  ``target''  when
       ghostscript  is  doing  work.   The  cursor  is  a  ``cross hair'' when
       ghostscript is idle.  When moving to another page in a document, it  is
       generally  best to wait for ghostscript to become idle.  Otherwise, the
       current ghostscript process must be killed and the overhead of  reading



                                                                1





GVU(1)                                                     GVU(1)


       the prologue is incurred again.

       Gvu will check to see if the file has been modified just before it dis-
       plays a page or when the application is deiconified.  If the  file  has
       changed, it will reopen the file.

       Clicking  anywhere  within  the viewport will popup a zoom window.  The
       window is centered about the location that was clicked.  Clicking  with
       the  first mouse button pops up a low resolution zoom window.  Clicking
       with the second mouse button pops up a medium resolution  zoom  window.
       Clicking  with  the  third  mouse button pops up a high resolution zoom
       window.  The cursor in the zoom window will  display  a  ``target''  or
       ``cross  hair''  depending  on  the  state of ghostscript.  The locator
       reports the position of the cursor in the zoom windows as well  as  the
       main viewport.

       In  the  table  of  contents, the first and third mouse button function
       exactly as they do in a Text widget.  That is the  first  mouse  button
       selects  text  and the third mouse button extends selections.  However,
       clicking on a page label with the second mouse button will  cause  that
       page to be shown.  The page being displayed is marked with a '<' in the
       right margin of the table of contents.

POPUP WINDOWS
       There are several additional windows that may  appear.   The  copyright
       window  will  appear  whenever copyright information is requested.  The
       information window appears whenever the ghostscript process  writes  to
       ``stdout'' or ``stderr''.  Whenever there is an error in the PostScript
       program, the stack trace will appear in this window.  When  ghostscript
       is  invoked  without  the quiet option, informational message regarding
       the state of ghostscript will appear in the  information  window.   The
       copyright  and  information  windows  can  be  dismissed by pushing the
       ``Dismiss'' button.

       The Select File dialog widget will appear when you wish to open or save
       a  file.   The Select File dialog widget allows an X11 user to select a
       file by typing the path  or  by  browsing  in  directory  listings  and
       selecting entries with the mouse.

       The  space  bar can be pressed to complete filenames, and tilde is used
       for home directories.  All the usual key bindings can be  used  in  the
       text  widget,  except for Return and Control-M, which are equivalent to
       pressing the OK button.  The path can be scrolled using the large hori-
       zontal  scroll  bar, or by moving the insertion cursor in the text wid-
       get.  The directory entries can be scrolled using the  vertical  scroll
       bars,  or by holding a mouse button down and moving out of the listing.
       The scrolling speed varies with the distance from the listing.

       The directory entries are terminated with special characters that  show
       the type of entry, similar to the -F option of ls(1).

       The  Select  File dialog widget is in total control until is pops down.
       No other controls in gvu will be active during this time.




                                                                2





GVU(1)                                                     GVU(1)


MENUS
       There are five buttons in the menu box.  They are the File, Page,  Mag-
       step,  Orientation, and Media buttons.  There are keyboard accelerators
       for most of the popup menus.  Be sure to read the keyboard  accelerator
       section.

       File      This popup menu controls file access:

                 Open...   Pops  up  the  Select File window in preparation to
                           open a file.  The Select File widget  is  in  total
                           control  until  it  pops  down.  Opens the file for
                           viewing.

                 Reopen    Reopens the current file.

                 Print...  Pops up a dialog widget  to  ask  for  the  printer
                           name.  Sends the whole document to the printer.

                 Print marked pages...
                           Pops  up  a  dialog  widget  to ask for the printer
                           name.  Sends the marked pages to the  printer.   If
                           no  pages  have  been marked, the mark procedure is
                           called before printing and then the  unmark  proce-
                           dure is called after printing.

                 Save marked pages...
                           Pops  up  the  Select File window in preparation to
                           save a file.  The Select File widget  is  in  total
                           control until it pops down.  Saves the marked pages
                           in the  selected  file.   If  no  pages  have  been
                           marked,  the mark procedure is called before saving
                           and then the unmark procedure is called after  sav-
                           ing.

                 Copyright...
                           Pops up the copyright window.

                 Quit      Causes gvu to exit.

       Page      This popup menu controls page access:

                 Next      Display the next page.

                 Redisplay Display the current page.

                 Previous  Display the previous page.

                 Center    Center the page in the viewport.

                 Mark      Mark the pages that have been selected in the table
                           of contents.  If no pages have been selected,  mark
                           the current page.

                 Unmark    Unmark  the  pages  that  have been selected in the



                                                                3





GVU(1)                                                     GVU(1)


                           table of contents.  If no pages have been selected,
                           unmark the current page.

       Magstep   The Magstep menu controls the magnification at which the doc-
                 ument is viewed.  The default magstep of 0 implies no  magni-
                 fication  (i.e.  the size on the screen should match the size
                 on paper).  Gvu borrows the notion of magstep from TeX.   The
                 magnification  is  defined to be 1.2**magstep.  At magstep 1,
                 the document is magnified by 1.2.  At magstep -1,  the  docu-
                 ment  is  reduced by 1.2.  The Magstep menu lists values from
                 -5 to 5.

       Orientation
                 The Orientation menu controls  the  display  orientation.   A
                 ``dot''  appears  in  front  of the current orientation.  The
                 first mouse button sets the  default  orientation.   The  DSC
                 comments  may specify an orientation of Portrait or Landscape
                 that overrides the  default.   In  this  case,  a  "document"
                 appears  in  front  of  the  current orientation.  The second
                 mouse button can be used to ``force'' the  orientation  on  a
                 document  to override the DSC comments.  If an orientation is
                 being forced, then a ``tie fighter'' will appear in front  of
                 the current orientation.

                 Portrait  Set  the  orientation  to Portrait. This implies no
                           rotation.  A portrait  orientation  indicates  that
                           the  longest  edge  of the paper is parallel to the
                           vertical (y) axis.

                 Landscape Set the orientation to Landscape.  This  implies  a
                           clockwise  rotation  of the paper by 90 degrees.  A
                           landscape orientation indicates  that  the  longest
                           edge of the paper is parallel to the horizontal (x)
                           axis.

                 Upside-down
                           Set the orientation to Upside-Down.

                 Seascape  Set the orientation to Seascape.   This  implies  a
                           counterclockwise   rotation  of  the  paper  by  90
                           degrees.

                 Swap Landscape
                           Swap the meaning of Landscape and  Seascape.   Most
                           of  the Landscape documents that I have encountered
                           require a 90 clockwise rotation  of  the  paper  to
                           view.   However, there is no standard and some doc-
                           uments need to be rotated the other way.  The  swap
                           landscape button allows gvu to automatically rotate
                           the document the  right  way  in  response  to  the
                           %%Orientation comment in the PostScript file.

       Media     The  entries  on  the  Media  menu set the page media.  Media
                 defined in the document appear at the beginning of  the  menu



                                                                4





GVU(1)                                                     GVU(1)


                 separated  by  a  line  from  the  standard media.  A ``dot''
                 appears in front of the current media.  The first mouse  but-
                 ton sets the default media.  The DSC comments may specify the
                 page media that overrides the default.  In this case, a "doc-
                 ument"  appears  in  front  of the current media.  The second
                 mouse button can be used to ``force'' the media on a document
                 to  override  the DSC comments.  Forcing the media on an EPSF
                 figure will override the Bounding Box.  This makes is easy to
                 view  a figure with an incorrect %%BoundingBox comment.  If a
                 media is being forced, then a ``tie fighter'' will appear  in
                 front of the current media.

                 Here  are the standard media names and their sizes.  The size
                 is given as the width and height in PostScript points.
                 Letter          612 x  792    (8.5 x 11  in.)
                 Tabloid         792 x 1224    (11  x 17  in.)
                 Ledger         1224 x  792    (17  x 11  in.)
                 Legal           612 x 1008    (8.5 x 14  in.)
                 Statement       396 x  612    (5.5 x 8.5 in.)
                 Executive       540 x  720    (7.5 x 10  in.)
                 A3              842 x 1190
                 A4              595 x  842
                 A5              420 x  595
                 B4              729 x 1032
                 B5              516 x  729
                 Folio           612 x  936    (8.5 x 13  in.)
                 Quarto          610 x  780
                 10x14           720 x 1008    (10  x 14  in.)

KEYBOARD ACCELERATORS
       Most of the popup menu commands have an equivalent action that  can  be
       invoked  from  the  keyboard.   The  popup menu entry must be sensitive
       (i.e. not grayed out) for the action  to  have  effect.   Here  is  the
       default keyboard binding:

       Q         Bound  to  GhostviewQuit() which is equivalent to pushing the
                 Quit menu button on the Gvu menu.

       O         Bound to GhostviewOpen() which is equivalent to  pushing  the
                 Open... menu button on the File menu.

       R         Bound to GhostviewReopen() which is equivalent to pushing the
                 Reopen menu button on the File menu.

       S         Bound to GhostviewSave() which is equivalent to  pushing  the
                 Save marked pages... menu button on the File menu.

       P         Bound  to GhostviewPrintMarked() which is equivalent to push-
                 ing the Print marked pages... menu button on the File menu.

       Shift-P   Bound to GhostviewPrintWhole() which is equivalent to pushing
                 the Print... menu button on the File menu.





                                                                5





GVU(1)                                                     GVU(1)


       BackSpace, Delete, Prior, B
                 Bound  to  GhostviewPrevious() which is equivalent to pushing
                 the Previous menu button on the Page menu.

       space, Return, Next, F
                 Bound to GhostviewNext() which is equivalent to  pushing  the
                 Next menu button on the Page menu.

       period, Ctrl-L
                 Bound  to  GhostviewShow() which is equivalent to pushing the
                 Redisplay menu button on the Page menu.

       M         Bound to GhostviewMark() which is equivalent to  pushing  the
                 Mark menu button on the Page menu.

       N         Bound to GhostviewUnMark() which is equivalent to pushing the
                 Unmark menu button on the Page menu.

       0         Bound to GhostviewMagstep(0) which is equivalent  to  pushing
                 the 0 menu button on the Magstep menu.

       1         Bound  to  GhostviewMagstep(1) which is equivalent to pushing
                 the 1 menu button on the Magstep menu.

       2         Bound to GhostviewMagstep(2) which is equivalent  to  pushing
                 the 2 menu button on the Magstep menu.

       3         Bound  to  GhostviewMagstep(3) which is equivalent to pushing
                 the 3 menu button on the Magstep menu.

       4         Bound to GhostviewMagstep(4) which is equivalent  to  pushing
                 the 4 menu button on the Magstep menu.

       5         Bound  to  GhostviewMagstep(5) which is equivalent to pushing
                 the 5 menu button on the Magstep menu.

       +         Bound to GhostviewIncreaseMagstep() which increases the  mag-
                 step by 1.

       -         Bound  to GhostviewDecreaseMagstep() which decreases the mag-
                 step by 1.

       U         Bound to GhostviewUp() which scrolls the main viewport up.

       D         Bound to GhostviewDown()  which  scrolls  the  main  viewport
                 down.

       H         Bound  to  GhostviewLeft()  which  scrolls  the main viewport
                 left.

       J         Bound to GhostviewDown()  which  scrolls  the  main  viewport
                 down.

       K         Bound to GhostviewUp() which scrolls the main viewport up.



                                                                6





GVU(1)                                                     GVU(1)


       L         Bound  to  GhostviewRight()  which  scrolls the main viewport
                 right.

       Up (arrow)
                 Bound to GhostviewDefault() GhostviewSetOrientation(portrait)
                 which  is equivalent to pushing Portrait with the first mouse
                 button on the Orientation menu.

       Right (arrow)
                 Bound  to  GhostviewDefault()   GhostviewSetOrientation(land-
                 scape)  which  is  equivalent  to  pushing Landscape with the
                 first mouse button on the Orientation menu.

       Down (arrow)
                 Bound     to     GhostviewDefault()      GhostviewSetOrienta-
                 tion(upside-down)  which is equivalent to pushing Upside-down
                 with the first mouse button on the Orientation menu.

       Left (arrow)
                 Bound to GhostviewDefault() GhostviewSetOrientation(seascape)
                 which  is equivalent to pushing Seascape with the first mouse
                 button on the Orientation menu.

       Shift-Up (arrow)
                 Bound to  GhostviewForce()  GhostviewSetOrientation(portrait)
                 which is equivalent to pushing Portrait with the second mouse
                 button on the Orientation menu.

       Shift-Right (arrow)
                 Bound to GhostviewForce()  GhostviewSetOrientation(landscape)
                 which  is  equivalent  to  pushing  Landscape with the second
                 mouse button on the Orientation menu.

       Shift-Down (arrow)
                 Bound      to      GhostviewForce()      GhostviewSetOrienta-
                 tion(upside-down)  which is equivalent to pushing Upside-down
                 with the second mouse button on the Orientation menu.

       Shift-Left (arrow)
                 Bound to  GhostviewForce()  GhostviewSetOrientation(seascape)
                 which is equivalent to pushing Seascape with the second mouse
                 button on the Orientation menu.

ACTIONS
       Most of the popup menu commands have an equivalent action that  can  be
       used  in  a  translation.  The popup menu entry must be sensitive (i.e.
       not grayed out) for the action to have effect.  Here  is  the  list  of
       actions:

       GhostviewCopyright()
                 Equivalent to pushing the Copyright... menu button on the Gvu
                 menu.





                                                                7





GVU(1)                                                     GVU(1)


       GhostviewQuit()
                 Equivalent to pushing the Quit menu button on the Gvu menu.

       GhostviewOpen()
                 Equivalent to pushing the Open... menu  button  on  the  File
                 menu.

       GhostviewReopen()
                 Equivalent  to  pushing  the  Reopen  menu button on the File
                 menu.

       GhostviewSave()
                 Equivalent to pushing the Save marked pages... menu button on
                 the File menu.

       GhostviewPrintWhole()
                 Equivalent  to  pushing  the Print... menu button on the File
                 menu.

       GhostviewPrintMarked()
                 Equivalent to pushing the Print marked pages...  menu  button
                 on the File menu.

       GhostviewPrevious()
                 Equivalent  to  pushing  the Previous menu button on the Page
                 menu.

       GhostviewShow()
                 Equivalent to pushing the Redisplay menu button on  the  Page
                 menu.

       GhostviewNext()
                 Equivalent  to pushing the Next menu button on the Page menu.

       GhostviewCenter()
                 Equivalent to pushing the Center  menu  button  on  the  Page
                 menu.

       GhostviewMark()
                 Equivalent  to pushing the Mark menu button on the Page menu.

       GhostviewUnmark()
                 Equivalent to pushing the Unmark  menu  button  on  the  Page
                 menu.

       GhostviewSetMagstep(magstep)
                 Sets the magstep.  The parameter must be an integer.

       GhostviewIncreaseMagstep()
                 Increases magstep by one.

       GhostviewDecreaseMagstep()
                 Decreases magstep by one.




                                                                8





GVU(1)                                                     GVU(1)


       GhostviewSetOrientation(orientation)
                 Set  the  orientation to the passed parameter.  The parameter
                 must be portrait, landscape, upside-down, or seascape.

       GhostviewSwapLandscape()
                 Equivalent to pushing the Swap Landscape menu button  on  the
                 Orientation menu.

       GhostviewSetPageMedia(media-name)
                 Sets  the  media.   The  parameter  should  be either a media
                 defined in the document or a standard media.

       GhostviewDefault()
                 The orientation or media being set is not forced on the docu-
                 ment.   This action is called before the action that sets the
                 orientation or media.

       GhostviewForce()
                 The orientation or media being set is forced on the document.
                 This  action is called before the action that sets the orien-
                 tation or media.

       GhostviewDeleteWindow()
                 Destroy the current window.  This provides a way to implement
                 the Delete Window protocol for window managers.

       GhostviewDismiss()
                 Pop  down  the current window.  This provides a way to imple-
                 ment the Delete Window protocol for window managers.

       GhostviewScrollUp()
                 Scroll the main viewport up.

       GhostviewScrollDown()
                 Scroll the main viewport down.

       GhostviewScrollLeft()
                 Scroll the main viewport left.

       GhostviewScrollRight()
                 Scroll the main viewport right.

       GhostviewEraseLocator()
                 Used to erase the locator when leaving a Ghostview widget.

       GhostviewCheckFile()
                 Checks to see if the file changed and refreshes the screen if
                 necessary.

APPLICATION RESOURCES
       The  following  application resources may be set to control the default
       behavior of gvu.





                                                                9





GVU(1)                                                     GVU(1)


       showTitle (class Labels)
                 Tells whether to display the %%Title comment.  The default is
                 ``true''.

       showDate (class Labels)
                 Tells  whether to display the %%Data comment.  The default is
                 ``true''.

       showLocator (class Labels)
                 Tells  whether  to  display  the  locator.   The  default  is
                 ``true''.

       autoCenter (class AutoCenter)
                 Tells whether to center the page within the viewport whenever
                 the page size changes.  The default is ``true''.

       horizonalMargin (class Margin)
                 Tells how many pixels gvu should reserve for  window  decora-
                 tions  in  the  horizontal  direction.   The default value is
                 ``20''.

       verticalMargin (class Margin)
                 Tells how many pixels gvu should reserve for  window  decora-
                 tions  in  the  vertical  direction.   The  default  value is
                 ``44''.

       minimumMagstep (class Magstep)
                 Tells the  smallest  magstep  to  display.   The  default  is
                 ``-5''.

       maximumMagstep (class Magstep)
                 Tells  the largest magstep to display.  The default is ``5''.

       magstep (class Magstep)
                 Sets the default magstep.  The default is ``0''.

       orientation (class Orientation)
                 Sets the default orientation.  The default is ``Portrait''.

       page (class Page)
                 Gives the  initial  page  to  display.   This  resource  only
                 affects  the  display of the file listed on the command line.
                 The default is NULL.

       pageMedia (class PageMedia)
                 Sets the default page media.  The default is ``Letter''.

       forceOrientation (class Force)
                 Tells whether to force the orientation on the document.   The
                 default is ``false''.

       forcePageMedia (class Force)
                 Tells  whether  to force the page media on the document.  The
                 default is ``false''.



                                                               10





GVU(1)                                                     GVU(1)


       swapLandscape (class SwapLandscape)
                 Tells whether to swap the meaning of Landscape and  Seascape.
                 The default is ``false''.

       printCommand (class PrintCommand)
                 Sets  the command used for printing.  The printer environment
                 variable is set to the desired printer and then this  command
                 is  executed  using  popen.   This  command  should read from
                 ``stdin'' and send the file to the appropriate printer.   The
                 default value is ``lpr'' for BSD and ``lp'' for System V.

       printerVariable (class PrinterVariable)
                 Gives  the  name  of  the  printer environment variable.  The
                 default value is ``PRINTER'' for BSD and ``LPDEST'' for  Sys-
                 tem V.

       defaultPrinter (class DefaultPrinter)
                 Gives  the  printer  name to use when the printer environment
                 variable is not set.  The default value is NULL.

       printPrompt (class PrintPrompt)
                 Sets the prompt used  to  ask  for  the  printer  name.   The
                 default value is ``Printer Name: ''.

       printFail (class printFail)
                 Sets the string used to inform the user that the printer com-
                 mand failed.  The default is ``"lpr" command failed.''.

       openPrompt (class OpenPrompt)
                 Sets the prompt used to ask for a file  name  to  open.   The
                 default value is ``Open File: ''.

       openFail (class OpenFail)
                 Sets the string used to inform the user that the open failed.
                 The default value is ``Cannot open file: ''.

       savePrompt (class SavePrompt)
                 Sets the prompt used to ask for a file  name  to  save.   The
                 default value is ``Save File: ''.

       saveFail (class SaveFail)
                 Sets the string used to inform the user that the save failed.
                 The default value is ``Cannot save file: ''.

       openWindows (class OpenWindows)
                 OpenWindows servers  sometimes  cause  error  messages  about
                 bitmaps  not  being  1  bit  deep.   Turning on this resource
                 avoids the problem by not using any bitmaps.   You  lose  the
                 functionality  of having the current magstep, orientation and
                 media marked on  the  popup  menus.   The  default  value  is
                 ``false''.

       ncdwm (class Ncdwm)
                 The  Xt Intrinsics has a bug that causes bogus information in



                                                               11





GVU(1)                                                     GVU(1)


                 the window manager size hints.  Ncdwm and possibly other win-
                 dow  managers  get confused by the bogus information and make
                 the window extremely small.  Twm and  mwm  ignore  the  bogus
                 information.  Turning on the resource avoids the problem with
                 ncdwm by doing things slightly  differently.   However,  this
                 can  confuse  other window managers such as mwm.  This bug is
                 fixed in X11R5 fix-10.  You should only set this resource  if
                 you have the problem.  The default value is ``false''.

GHOSTVIEW WIDGET RESOURCES
       Certain  resources  in  the  Gvu  widget may be set by the user.  These
       selected resources are presented below.

       arguments (class Arguments)
                 Additional arguments passed to the interpreter.  It is conve-
                 nient  to  name  files that preload fonts here for PostScript
                 programs that continually  reload  fonts  while  rendering  a
                 page.  The default is no additional arguments.

       busyCursor (class Cursor)
                 The cursor shown when ghostscript is rendering to the window.
                 The busy cursor is set to the ``target'' by  the  application
                 defaults.

       cursor (class Cursor)
                 The  cursor shown when ghostscript is idle.  The default cur-
                 sor is the ``crosshair''.

       interpreter (class Interpreter)
                 The name of the executable to call to render the  PostScript.
                 It  is  convenient  to  set  this  resource to the path of an
                 alternate version of ghostscript for  testing.   The  default
                 value is ``gs''.

       palette (class Palette)
                 Tells  ghostscript how to restrict the palette used when ren-
                 dering.  The possible values  are  ``color'',  ``grayscale'',
                 and ``monochrome''.  The default value is ``color''.

       quiet (class Quiet)
                 Tells  ghostscript whether to supress informational messages.
                 The default value is ``true''.

       safer (class Safer)
                 Tells ghostscript whether to  run  in  ``safer''  mode.   The
                 default value is ``true''.

       useBackingPixmap (class UseBackingPixmap)
                 Tells  whether  to use a backing pixmap.  If this resource is
                 false, backing store is requested on the Gvu window.  Some  X
                 servers have limited resources for large pixmaps.  Also, some
                 X servers' backing store is much faster than using a  backing
                 pixmap.   You  should reset this resource if your X server is
                 one of the server types  mentioned.   The  default  value  is



                                                               12





GVU(1)                                                     GVU(1)


                 ``true''.

       xdpi (class Resolution)
                 Sets  the  X  resolution of the window in dots per inch.  You
                 can use this resource to affect the main window.   Zoom  win-
                 dows  have  their  X  dpi set explicitly in the program.  The
                 default value is calculated from the screen metrics.

       ydpi (class Resolution)
                 Sets the Y resolution of the window in dots  per  inch.   You
                 can  use  this resource to affect the main window.  Zoom win-
                 dows have their Y dpi set explicitly  in  the  program.   The
                 default value is calculated from the screen metrics.

GHOSTVIEW WIDGET ACTIONS
       notify(width height xdpi ydpi)
                 The notify event is used by the gvu application for the loca-
                 tor and popup zoom windows.  If the width and height  are  0,
                 the  event is user for the locator.  Otherwise, it triggers a
                 popup zoom window.  The default width and height are 72.  The
                 default  xdpi  and  ydpi are 300.  The height will default to
                 the width if the height is omitted.  The xdpi will default to
                 the xdpi if the ydpi is omitted.

OPTIONS
       -monochrome
                 Equivalent to setting ``*Ghostview.palette: Monochrome''.

       -grayscale
                 Equivalent to setting ``*Gvu.palette: GrayScale''.

       -color    Equivalent to setting ``*Gvu.palette: Color''.

       -title    Equivalent to setting ``Gvu.showTitle: True''.

       -notitle  Equivalent to setting ``Gvu.showTitle: False''.

       -date     Equivalent to setting ``Gvu.showDate: True''.

       -nodate   Equivalent to setting ``Gvu.showDate: False''.

       -locator  Equivalent to setting ``Gvu.showLocator: True''.

       -nolocator
                 Equivalent to setting ``Gvu.showLocator: False''.

       -labels   Equivalent to setting ``Gvu.Labels: True''.

       -nolabels Equivalent to setting ``Gvu.Labels: False''.

       -resolution dpi
                 Equivalent to setting ``*Gvu.Resolution: dpi''.

       -dpi dpi  Equivalent to setting ``*Gvu.Resolution: dpi''.



                                                               13





GVU(1)                                                     GVU(1)


       -xdpi dpi Equivalent to setting ``*Gvu.xdpi: dpi''.

       -ydpi dpi Equivalent to setting ``*Gvu.ydpi: dpi''.

       -magstep magstep
                 Equivalent to setting ``Gvu.magstep: magstep''.

       -safer    Equivalent to setting ``*Gvu.safer: True''.

       -nosafer  Equivalent to setting ``*Gvu.safer: False''.

       -quiet    Equivalent to setting ``*Gvu.quiet: True''.

       -noquiet  Equivalent to setting ``*Gvu.quiet: False''.

       -arguments arguments
                 Equivalent to setting ``*Gvu.arguments: arguments''.

       -center   Equivalent to setting ``Gvu.autoCenter: True''.

       -nocenter Equivalent to setting ``Gvu.autoCenter: False''.

       -portrait Equivalent to setting ``Gvu.orientation: Portrait''.

       -landscape
                 Equivalent to setting ``Gvu.orientation: Landscape''.

       -upsidedown
                 Equivalent to setting ``Gvu.orientation: Upside-down''.

       -seascape Equivalent to setting ``Gvu.orientation: Seascape''.

       -swap     Equivalent to setting ``Gvu.swapLandscape: True''.

       -noswap   Equivalent to setting ``Gvu.swapLandscape: False''.

       -letter   Equivalent to setting ``Gvu.pageMedia: Letter''.

       -tabloid  Equivalent to setting ``Gvu.pageMedia: Tabloid''.

       -ledger   Equivalent to setting ``Gvu.pageMedia: Ledger''.

       -legal    Equivalent to setting ``Gvu.pageMedia: Legal''.

       -statement
                 Equivalent to setting ``Gvu.pageMedia: Statement''.

       -executive
                 Equivalent to setting ``Gvu.pageMedia: Executive''.

       -a3       Equivalent to setting ``Gvu.pageMedia: A3''.

       -a4       Equivalent to setting ``Gvu.pageMedia: A4''.




                                                               14





GVU(1)                                                     GVU(1)


       -a5       Equivalent to setting ``Gvu.pageMedia: A5''.

       -b4       Equivalent to setting ``Gvu.pageMedia: B4''.

       -b5       Equivalent to setting ``Gvu.pageMedia: B5''.

       -folio    Equivalent to setting ``Gvu.pageMedia: Folio''.

       -quarto   Equivalent to setting ``Gvu.pageMedia: Quarto''.

       -10x14    Equivalent to setting ``Gvu.pageMedia: 10x14''.

       -force    Equivalent to setting ``Gvu.Force: True''.

       -forceorientation
                 Equivalent to setting ``Gvu.forceOrientation: True''.

       -forcemedia
                 Equivalent to setting ``Gvu.forcePageMedia: True''.

       -openwindows
                 Equivalent to setting ``Gvu.openWindows: True''.

       -noopenwindows
                 Equivalent to setting ``Gvu.openWindows: False''.

       -ncdwm    Equivalent to setting ``Gvu.ncdwm: True''.

       -noncdwm  Equivalent to setting ``Gvu.ncdwm: False''.

       -page label
                 Equivalent to setting ``Gvu.page: label''.

WIDGET HIERARCHY
       The hierarchy of the Gvu application:

       Gvu  ghostview
            Form  form
                 MenuButton  titleButton
                      SimpleMenu  menu
                           SmeBSB  title
                 MenuButton  dateButton
                      SimpleMenu  menu
                           SmeBSB  date
                 Label  locator
                 Box  box
                      MenuButton  fileButton
                           SimpleMenu  menu
                                SmeBSB  open
                                SmeBSB  reopen
                                SmeBSB  printwhole
                                SmeBSB  printmarked
                                SmeBSB  save
                                SmeLine  line



                                                               15





GVU(1)                                                     GVU(1)


                                SmeBSB  copyright
                                SmeBSB  quit
                      MenuButton  pageButton
                           SimpleMenu  menu
                                SmeBSB  next
                                SmeBSB  show
                                SmeBSB  prev
                                SmeLine  line
                                SmeBSB  center
                                SmeLine  line
                                SmeBSB  mark
                                SmeBSB  unmark
                      MenuButton  magstepButton
                           SimpleMenu  menu
                                SmeBSB  -5
                                SmeBSB  -4
                                SmeBSB  -3
                                SmeBSB  -2
                                SmeBSB  -1
                                SmeBSB  0
                                SmeBSB  1
                                SmeBSB  2
                                SmeBSB  3
                                SmeBSB  4
                                SmeBSB  5
                      MenuButton  orientationButton
                           SimpleMenu  menu
                                SmeBSB  portrait
                                SmeBSB  landscape
                                SmeBSB  upsidedown
                                SmeBSB  seascape
                                SmeLine  line
                                SmeBSB  swap
                      MenuButton  pagemediaButton
                           SimpleMenu  menu
                                SmeBSB  Letter
                                SmeBSB  Tabloid
                                SmeBSB  Ledger
                                SmeBSB  Legal
                                SmeBSB  Statement
                                SmeBSB  Executive
                                SmeBSB  A3
                                SmeBSB  A4
                                SmeBSB  A5
                                SmeBSB  B4
                                SmeBSB  B5
                                SmeBSB  Folio
                                SmeBSB  Quarto
                                SmeBSB  10x14
                 Text  toc
                 Viewport  pageview
                      Core  clip
                      Gvu  page
                      Scrollbar  horizontal



                                                               16





GVU(1)                                                     GVU(1)


                      Scrollbar  vertical
            TopLevelShell  information
                 Form  form
                      Text  text
                      Command  dismiss
            TopLevelShell  copyright
                 Form  form
                      Text  text
                      Command  dismiss
            TransientShell  popup
                 Form  dialog
                      Label  prompt
                      Text  response
                      Command  okay
                      Command  cancel
            TopLevelShell  zoom
                 Form  form
                      Gvu  page
                      Command  dismiss

       The hierarchy of the Select File dialog box:

       TransientShell  selFile
            Form  selFileForm
                 Label  selFilePrompt
                 Text  selFileField
                 Scrollbar  selFileHScroll
                 Composite  selFileList1
                      Scrollbar  selFileVScroll
                      Scrollbar  selFileHScroll
                 Composite  selFileList2
                      Scrollbar  selFileVScroll
                      Scrollbar  selFileHScroll
                 Composite  selFileList3
                      Scrollbar  selFileVScroll
                      Scrollbar  selFileHScroll
                 Command  selFileOK
                 Command  selFileCancel

ENVIRONMENT
       LPDEST    The  LPDEST  environment  variable  gives the default printer
                 destination on System V.

       PRINTER   The PRINTER environment variable gives  the  default  printer
                 destination on BSD.

LIMITATIONS
       If  the document does not begin with ``%!PS-Adobe-'', it does not claim
       conformance to the document structuring convention.  When  these  docu-
       ments  are  encountered,  the functionality of gvu is limited to giving
       you scroll bars and a next page capability.  Because there is no  table
       of contents, skipping around the document and marking pages is impossi-
       ble.




                                                               17





GVU(1)                                                     GVU(1)


       If there is no table of contents for the document, the popup zoom  win-
       dow will always show the first page.

BUGS
       If you find a bug, please send a bug report to ulric@siag.nu.

AUTHOR
       Copyright (C) 1992  Timothy O. Theisen

       This program is free software; you can redistribute it and/or modify it
       under the terms of the GNU General Public License as published  by  the
       Free  Software Foundation; either version 2 of the License, or (at your
       option) any later version.

       This program is distributed in the hope that it  will  be  useful,  but
       WITHOUT  ANY  WARRANTY;  without  even  the  implied  warranty  of MER-
       CHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  General
       Public License for more details.

       You should have received a copy of the GNU General Public License along
       with this program; if not, write to the Free Software Foundation, Inc.,
       675 Mass Ave, Cambridge, MA 02139, USA.


ACKNOWLEDGEMENTS
       Author:   Tim Theisen         Systems Programmer
       Internet: tim@cs.wisc.edu     Department of Computer Sciences
       UUCP:     uwvax!tim           University of Wisconsin-Madison
       Phone:    (608)262-0438       1210 West Dayton Street
       FAX:      (608)262-9777       Madison, WI   53706
       Author:   Erik M. van der Poel
                 Software Research Associates, Inc., Tokyo, Japan
                 erik@sra.co.jp
























                                                               18


